## org.apache.lucene.store.instantiated
Class InstantiatedTermFreqVector

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermFreqVector

All Implemented Interfaces:
  Serializable, org.apache.lucene.index.TermFreqVector

Direct Known Subclasses:
  InstantiatedTermPositionVector

    public class InstantiatedTermFreqVector

extends Object
implements org.apache.lucene.index.TermFreqVector, Serializable

Vector space view of a document in an `InstantiatedIndexReader`.

See Also:
  `TermFreqVector`, Serialized Form

Constructor Summary
`InstantiatedTermFreqVector(InstantiatedDocument document, String field)`

Method Summary
`String` `getField()`
`List<InstantiatedTermDocumentInformation>` `getTermDocumentInformations()`
`int[]` `getTermFrequencies()`
`String[]` `getTerms()`
`int[]` `indexesOf(String[] termNumbers, int start, int len)`
`int` `indexOf(String termText)`
`int` `size()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatedTermFreqVector

    public InstantiatedTermFreqVector(InstantiatedDocument document,
                                      String field)

Method Detail

### getField

    public String getField()

  Specified by:
    `getField` in interface `org.apache.lucene.index.TermFreqVector`
  Returns:
    The number of the field this vector is associated with

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### size

    public int size()

  Specified by:
    `size` in interface `org.apache.lucene.index.TermFreqVector`

### getTerms

    public String[] getTerms()

  Specified by:
    `getTerms` in interface `org.apache.lucene.index.TermFreqVector`

### getTermFrequencies

    public int[] getTermFrequencies()

  Specified by:
    `getTermFrequencies` in interface `org.apache.lucene.index.TermFreqVector`

### indexOf

    public int indexOf(String termText)

  Specified by:
    `indexOf` in interface `org.apache.lucene.index.TermFreqVector`

### indexesOf

    public int[] indexesOf(String[] termNumbers,
                           int start,
                           int len)

  Specified by:
    `indexesOf` in interface `org.apache.lucene.index.TermFreqVector`

### getTermDocumentInformations

    public List<InstantiatedTermDocumentInformation> getTermDocumentInformations()